Subject: bug#57207: 29.0.50; Fontification is slow after e7b5912b23 (Improvements to long lines handling)

From: Gregory Heytings <[email-masked]>
Date: Tue, 16 Aug 2022 12:43:05 +0000

>>> Maybe Org does something that frequently causes a window's redisplay 
>>> cycle to end prematurely, in which case the code that looks for long 
>>> lines could be called too frequently.  But in that case, your proposed 
>>> change will have the same problem, I think?
>>
>> That's possible indeed, let's see what Ihor tells us.
>
> I'm afraid that my knowledge of Emacs redisplay is not sufficient to 
> give any insight. I have no clue what "redisplay cycle end prematurely" 
> means and how it can be triggered.
>

I meant: let's see whether the patch I sent upthread solves your problem. 
Can you please try it?